clear all;
% Number of transmissions
T = 10;
snr = 0:5:25;
b_lin = zeros(T,length(snr));
b_sic = zeros(T,length(snr));
for j = 1:T
   for i = 1:length(snr)
      [b_lin(j,i),b_sic(j,i)] = MU_MIMO_UL_detectors(snr(i));
   end
end
blin = mean(b_lin,1);
bsic = mean(b_sic,1);

semilogy(snr,blin,'r-o',snr,bsic,'b-s');
xlabel('SNR');
ylabel('BER');
legend('MMSE-Linear','MMSE-SIC')
grid;